package epson.print.imgsel;

import android.content.ContentResolver;
import java.util.Collection;
import java.util.List;

public interface ImageFinder {

    public interface Canceller {
        boolean checkCanceled();
    }

    List<ImageFileInfo> findImageInDirectory(String str, ContentResolver contentResolver, Canceller canceller);

    Collection<ImageFolderInfo> getFolderPhotoList(Canceller canceller, ContentResolver contentResolver);
}
